require './helper'

setup_server [
  Static "#{__dirname}/public", default: 'index.html'
], 4, ->

  assert.static_body 'served', '/'
  assert.static_body 'served', '/index.html'
  assert.static '/index.html', (res) ->
    assert.equal 200, res.statusCode
    assert.equal 6, res.headers['content-length']
    assert.equal 'text/html', res.headers['content-type']

  assert.static '/index.html', method: 'PUT', (res) ->
    assert.equal 405, res.statusCode