require './helper'

setup_server [
  Static "#{__dirname}/public"
], 2, ->

  index_etag = '"b82a82d4543dea438076bbc10cbbf077b3fb9e30"'
  assert.static '/index.html', (res) ->
    assert.equal index_etag, res.headers.etag

  assert.static '/index.html', 'if-none-match': index_etag, (res) ->
    assert.equal 304, res.statusCode
    assert.equal 0, res.headers['content-length']