require './helper'

setup_server [
  Static "#{__dirname}/public"
], 1, ->

  assert.static '/index.html', method: 'HEAD', (res) ->
    res.on 'data', (chunk) ->
      throw new Error("No data should be sent for HEAD requests.")
    assert.equal 200, res.statusCode
    assert.equal 6, res.headers['content-length']
    assert.equal 'text/html', res.headers['content-type']