global.assert = require 'assert'
global.Static = require '../src'

Http     = require 'http'
Stack    = require 'stack'
port     = process.env.PORT || 9090
requests = 1
server   = null
global.setup_server = (stacks, num, cb) ->
  requests = num or 1
  server   = Http.createServer Stack(stacks...)
  server.listen port, cb

assert.static = (path, header, cb) ->
  if typeof header == 'function'
    cb     = header
    header = {}
  method = header.method or 'GET'
  delete header.method

  client = Http.createClient port, 'localhost'
  req   = client.request method, path, header
  req.on 'response', (res) ->
    cb res
    res.on 'end', ->
      requests -= 1
      if requests == 0 then server.close()
  req.end()

assert.static_body = (expected, path, headers) ->
  assert.static path, headers or {}, (res) ->
    body = ""
    res.on 'data', (chunk) ->
      body += chunk.toString()
    res.on 'end', ->
      assert.equal expected, body