require './helper'

setup_server [
  Static "#{__dirname}/public"
], 5, ->

  assert.static '/index.html', (res) ->
    assert.equal 'Sun, 26 Dec 2010 14:04:16 GMT', res.headers['last-modified']

  assert.static '/index.html', 'if-modified-since': 'Sun, 25 Dec 2010 14:04:16 GMT', (res) ->
    assert.equal 200, res.statusCode

  assert.static '/index.html', 'if-modified-since': 'Sun, 27 Dec 2010 14:04:16 GMT', (res) ->
    assert.equal 304, res.statusCode
    assert.equal 0, res.headers['content-length']

  assert.static '/index.html', 'if-unmodified-since': 'Sun, 27 Dec 2010 14:04:16 GMT', (res) ->
    assert.equal 200, res.statusCode

  assert.static '/index.html', 'if-unmodified-since': 'Sun, 25 Dec 2010 14:04:16 GMT', (res) ->
    assert.equal 412, res.statusCode
    assert.equal 0, res.headers['content-length']